読者です 読者をやめる 読者になる 読者になる

@Konboi memo

主に技術に関してつらつらと。

AWS で docker を v1.6 以上にアップデートする

docker AWS

はじめに

Docker Hub Deprecation for Clients 1.5 and Earlier

ということで dockerのバージョンが1.5以下では

  • 11/19 日からdocker hub へのpush
  • 12/7 から docker hub からの pull

が出来なくなります。

dockerのバージョンが1.5以下の物を使っている場合は新しい docker image をつくる時に非常に困ります。

dockerdかえアップデートする

ということで AWS に限ったことですが

$ sudo yum update docker --releasever=2015.09

リリースバージョンを指定して updateすれば dockerだけいい感じにアップデートできます

$ docker --version
Docker version 1.7.1, build 786b29d/1.7.1

無事1.7.1にアップデートできました

アップデート時に起動しているコンテナがすべて落ちてしまうので気をつけてアップデートしてください。

まとめ

  • 1.5以下のバージョンを使っている人は、早めにdockerのアップデートしよう